{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "EPER_ALERTER"; 
            externalType = VARCHAR2; 
            name = alerter; 
            valueClassName = NSString; 
            valueType = S; 
            width = 64; 
        }, 
        {
            allowsNull = N; 
            columnName = "EPERS_ID"; 
            internalInfo = {"_nameInObjectStore" = "RIE_ORDRE"; }; 
            name = epersId; 
            prototypeName = id; 
        }, 
        {
            columnName = "EVT_ID"; 
            internalInfo = {"_nameInObjectStore" = "EVT_ORDRE"; }; 
            name = evtId; 
            prototypeName = id; 
        }, 
        {
            columnName = "PERS_ID"; 
            internalInfo = {"_nameInObjectStore" = "NO_INDIVIDU"; }; 
            name = persId; 
            prototypeName = id; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RPER_ID"; 
            internalInfo = {"_nameInObjectStore" = "EPRO_ID"; }; 
            name = rperId; 
            prototypeName = id; 
        }
    ); 
    attributesUsedForLocking = (evtId, persId, rperId, alerter); 
    className = "org.cocktail.fwkcktlevenement.serveur.modele.EOEvenementPersonne"; 
    classProperties = (role, evenement, alerter, toIndividus, toStructures, persId); 
    externalName = "GRHUM.EVT_EVENEMENT_PERSONNE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (role, evenement, alerter, toIndividus, toStructures); 
        "_javaClientClassName" = "org.cocktail.evenement.model.client.FwkEvt_EvenementPersonne"; 
        "_nameInObjectStore" = "REPART_INDIVIDU_EVT"; 
    }; 
    name = "FwkEvt_EvenementPersonne"; 
    primaryKeyAttributes = (epersId); 
    relationships = (
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "FwkEvt_Evenement"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = evtId; sourceAttribute = evtId; }); 
            name = evenement; 
        }, 
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "FwkEvt_RolePersonne"; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = rperId; sourceAttribute = rperId; }); 
            name = role; 
        }, 
        {
            destination = "Fwkpers_Individu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toIndividus; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toStructures; 
        }
    ); 
}
